Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://app.msportal.ai/api/public/v1/surveys/nps/{id} \ --header 'Authorization: Bearer <token>'
{ "data": { "id": "<string>", "title": "<string>", "description": "<string>", "questionText": "<string>", "frequencyInterval": 123, "startDate": "2023-11-07T05:31:56Z", "endDate": "2023-11-07T05:31:56Z", "isActive": true, "reminderEnabled": true, "reminderDaysAfter": 123, "followUpEnabled": true, "thankYouMessage": "<string>", "responseCount": 123, "inviteCount": 123, "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "npsScore": 123, "averageScore": 123, "responseRate": 123, "promotersCount": 123, "passivesCount": 123, "detractorsCount": 123 } }
Retrieve a single NPS survey with aggregated statistics.
Use your API key as a Bearer token. API keys can be generated in Settings → Integrations → API Access.
Survey ID
NPS survey details with stats
Show child attributes
Was this page helpful?